## ikiwiki 1.8

=== debian/changelog ===
ikiwiki (1.8) unstable; urgency=low

  * Fix orphans plugin to not count a link to a nonexistant page as a reason
    for a page not being an orphan.
  * Support pinging services such as Technorati using XML-RPC to notify them
    about changes to rss feeds.
  * Parse svn log as xml for improved utf8 and security. Note that this makes
    ikiwiki depend on XML::Simple. Patch by Faidon Liambotis.
  * POSIX::strftime doesn't know about encodings and doesn't return a utf8
    flagged string even if the locale causes it to generate utf8 output,
    so make sure to let perl know it should be handled as utf8. Also,
    the optimised version used for standard time formats won't work if the
    user has changed locale, so drop it. Thanks, Faidon Liambotis.
  * Fix re-encoding of the comments field to utf8 if a commit fails
    due to a conflict. Thanks, Faidon Liambotis.
  * Let svn know that commits have utf8 commit messages. Thanks, Faidon
    Liambotis.
  * Add insane double encode/decode to utf8 around call to markdown.
    This works around a truely strange bug, which is apparently a bug in
    perl, #376329. Also added a test case for it.
  * Improve layout of edit page so formatting help link is always visible w/o
    getting in the way of the preview.
  * Centralised all calls to HTML::Template and force all the templates
    to be read as utf8.
  * Support pages with utf8 filenames. Patch by Faidon Liambotis.
  * Introduce add_plugins and disable_plugins config options in setup files.
    This allows adding or removing plugins w/o overriding the whole list of
    default plugins, which makes it easier to upgrade when new default plugins
    are added.
  * Support htmlize plugins and make mdwn one such plugin, which is enabled by
    default (of course!). Based on a patch by Faidon Liambotis.
  * Add a html plugin, which can be used to write wikis in raw html,
    if you'd ever want to do such a thing. Slightly tricky, since ikiwiki
    defaults to not processing .html files, since w/o this plugin they would
    be copied unsanitised. With this plugin, it will process and html
    sanitise them, like any other page type.
  * Rebuilding wrappers is necessary on upgrade to this version.
  * Make ikiwiki --setup --refresh rebuild wrappers, so wrapper rebuild
    will be automatically done on all upgrades.
  * Don't send pings if the wiki is being rebuilt.
  * Work around very innefficient behavior in File::Spec::abs2rel. Result
    is a savings of 2 pointless fork/execs per link calculation, which
    results in ~25% speedup of ikiwiki building its own doc wiki, and
    about 35% speedup displaying RecentChanges!
  * Make RecentChanges use a table and some CSS, should be much more readable.
    No code changes involved.
  * Encode & in diffurl in examples, to conform to pedantic rules.
  * Speed up RecentChanges by another 40% or so with some memoization.
  * Memoize abs2rel, which is still kinda slow, for another 30% speedup
    in time to build the doc wiki.

 -- Joey Hess <joeyh@debian.org>  Tue,  4 Jul 2006 12:46:29 -0400

ikiwiki (1.7) unstable; urgency=low

  * Updated logo from Recai with some kerning and alingment tuning.
  * Patch from Recai to fix git recentchanges code to work with git 1.4 which
    changed some output.
  * Copyright update.

 -- Joey Hess <joeyh@debian.org>  Sun, 18 Jun 2006 23:33:35 -0400

ikiwiki (1.6) unstable; urgency=low

  * YA utf-8 patch from Recai, this time to fix previewing a page so that
    the text in the input box is re-encoded back to utf-8.
  * -CSD does not affect modules, so readfile() was not using the utf-8 input
    layer, which led to lots of problems; make it force read files as utf-8.
    Closes: #373203
  * Note that as a consequence, this version of ikiwiki will actually try to
    parse utf8 in source files for the first time, which may expose broken
    utf8 in wiki sources that was hidden before. Most common will be
    perl warnings like "utf8 "\xE9" does not map to Unicode"
  * writefile() likewise needs to use the utf8 output layer.
  * Remove the -CSD from ikiwiki's hashbang since it's useless to have it
    there.
  * Revert some of the decode_utf8 changes in CGI.pm that seem unnecessary
    given the readfile fix.
  * Add utf-8 testcases for readfile and htmlize.
  * Put back the encode_utf8 in the input to markdown; it's really not utf-8
    safe.
  * More utf-8 fixes from Recai, partly to things I broke above:
    - The serious problem is that writefile() saves the content in undecoded
      format in CGI, hence all (non-ascii) chars are corrupted permanently.
    - Comment field in edit page is not decoded and all the non-ascii chars in
      this field are corrupted as the result.  We should decode it as we do it
      for the content.
    - Add 'use encoding "utf8"' to CGI.pm to avoid warnings about wide
      character in print.
  * New SVG logo from Recai.

 -- Joey Hess <joeyh@debian.org>  Sun, 18 Jun 2006 19:18:46 -0400

ikiwiki (1.5) unstable; urgency=low

  * Add --timeformat config option to allow changing how dates are displayed.
    Note that as a side effect, dates will now be displayed using the local
    timezone, not as GMT.
  * More security review.
  * Patch from Dr. Zini to add link() and backlink() to globlists. This allows
    for some handy stuff like:
    - Using links as a kind of tag; creating blog pages that list all pages
      containing a given tag/link or not containing some other tag.
    - Subscribing to mail notifications whenever a change is made to a page
      that is a backlink of page foo. Ie, "Please notify me of changes in all
      pages that link to my home page in the wiki"
    - Locking any pages that are linked to from a particular page, so that
      lists of locks can be exposed in the wiki.
  * Reorganised the doc wiki's todo/* pages, using a link/tag to flag
    when a todo item is done, instead of the previous moving it to a different
    subdir.

