=== debian/control ===
Source: ikiwiki
Section: web
Priority: optional
Build-Depends: perl, debhelper (>= 5)
Build-Depends-Indep: dpkg-dev (>= 1.9.0), markdown, libhtml-template-perl, libhtml-scrubber-perl, wdg-html-validator
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.7.2

Package: ikiwiki
Architecture: all
Depends: ${perl:Depends}, libxml-simple-perl, markdown, libtimedate-perl, libhtml-template-perl, libhtml-scrubber-perl, libcgi-formbuilder-perl (>= 3.02.02), libtime-duration-perl, libcgi-session-perl, libmail-sendmail-perl, gcc | c-compiler, libc6-dev | libc-dev
Recommends: subversion | git-core, hyperestraier
Suggests: viewcvs, librpc-xml-perl
Description: a wiki compiler
 ikiwiki converts a directory full of wiki pages into html pages suitable
 for publishing on a website. Unlike many wikis, ikiwiki does not have its
 own means of storing page history or its own markup language. Instead it
 uses subversion (or git) and markdown.
 .
 ikiwiki implements all of the other standard features of a wiki, including
 web-based page editing, user registration and logins, a RecentChanges
 page, BackLinks, search, Discussion pages, tags, smart merging and conflict
 resolution, page locking, and commit emails.
 .
 It also supports generating RSS feeds and blogging.
