## ikiwiki 1.33.6

=== debian/changelog ===
ikiwiki (1.33.6) stable-security; urgency=low

  * Some error messages in recent backported security fixes used gettext,
    but this version of ikiwiki is not localised and display of those error
    messages would fail. Remove the gettext use.
  * Fix a problem with cookie setting when httpauth is used. Closes: #479658
    This bug was always present, but was only exposed by the CSRF fixes.

 -- Joey Hess <joeyh@debian.org>  Fri, 30 May 2008 23:34:15 -0400

ikiwiki (1.33.5) stable-security; urgency=high

  * Fix CSRF attacks against the preferences and edit forms. The fix involved
    embedding the session id in the forms, and not allowing the forms to be
    submitted if the embedded id does not match the session id. Closes: #47544

 -- Joey Hess <joeyh@debian.org>  Thu, 10 Apr 2008 16:49:24 -0400

ikiwiki (1.33.4) stable-security; urgency=high

  * htmlscrubber security fix: Block javascript in uris. Closes: #465110
  * meta: Check that the urls provided for authorurl, permalink, and openid
    are safe and can't contain javascript.
  * Add htmlscrubber test suite.
  * Thanks to Josh Triplett for pointing out the holes and for his help
    in implementing and checking fixes.

 -- Joey Hess <joeyh@debian.org>  Sun, 10 Feb 2008 13:34:28 -0500
