=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
-	perl Makefile.PL
+	perl Makefile.PL PREFIX=/usr
 	$(MAKE)
 	$(MAKE) test
 	touch build-stamp
@@ -23,9 +23,10 @@
 	dh_testroot
 	dh_clean -k
 	$(MAKE) pure_install INSTALLDIRS=vendor \
-		PREFIX=$(shell pwd)/debian/ikiwiki/$(shell perl -MConfig -e 'print $$Config{prefix}')
+		DESTDIR=$(shell pwd)/debian/ikiwiki
 	dh_install wikilist etc/ikiwiki
 	dh_installdocs html
+	dh_installexamples doc/examples/*
 	dh_link usr/share/common-licenses/GPL usr/share/doc/ikiwiki/html/GPL
 	dh_installchangelogs
 	dh_compress -X html
