## ikiwiki 1.35

=== debian/changelog ===
ikiwiki (1.35) unstable; urgency=low

  * Fix daemonisation code to only do daemon setup things after forking the
    child process.
  * The hack used to make the pagetemplate hook have access to the editpage
    template won't work with CGI::FormBuilder 3.0401, so disable it for now.
  * CGI::FormBuilder 3.0401 seems to work ok now with ikiwiki, although
    there might still be bugs lurking..

 -- Joey Hess <joeyh@debian.org>  Fri,  1 Dec 2006 19:14:36 -0500

ikiwiki (1.34.2) unstable; urgency=low

  * Allow /etc/ikiwiki/wikilist to list just the names of users, if so then
    ~user/.ikiwiki/wikilist will be read.
  * Fix url absolution code in inline plugin to support class and id fields in
    links and imgs, and to support anchor urls.
  * More build deps updates.
  * /dev/null fortune failures

 -- Joey Hess <joeyh@debian.org>  Tue, 28 Nov 2006 12:58:47 -0500

ikiwiki (1.34.1) unstable; urgency=low

  * Add libtime-duration-perl to build deps, as it's used by the svn module
    which is now tested at build.

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Nov 2006 12:26:12 -0500

ikiwiki (1.34) unstable; urgency=low

  * Add an openid plugin to support logging in using OpenID.
  * Web commits by OpenID users will record the full OpenID url for the user,
    but in recentchanges, these urls will be converted to a simplified display
    form+link.
  * Modified svn, git, tla backends to recognise such web commits.
  * Move httpauth support to a plugin.
  * Add openidsignup config option.
  * Make the openid plugin support the callbacks from myopenid.com via its
    affiliate program.
  * Add toggle plugin.
  * Add a poll plugin.
  * Add quick mode for archive page generation.
  * Introduce the goodstuff bundle. This is a kind of plugin, that just enables
    many other plugins. It's an easy way to boost ikiwiki from its default,
    basic wiki, to a full-featured wiki, without manually picking the right
    set of plugins. New plugins will be added to goodstuff from time to
    time.
  * Change how post signin actions are propigated through the signin process;
    they're now stored in the session.
  * Add optional "desc" parameter to shortcut definitions.
  * Avoid locking the wiki at all when handling some basic cgi stuff
    (searches, recentchanges).
  * Add "last" parameter to hook function. Very basic ordering, and hopefully
    nothing more spohisticated will be needed.
  * Add formbuilder_setup and formbuilder hooks.
  * Split out a passwordauth module, that holds all the traditional password
    based authentication etc code. It's enabled by default, but can be disabled
    if you want only openid or some other auth method.
  * Rename ikiwiki.pl so MakeMaker doesn't see it, and install it.
  * Add some code to the build system that tries to determine if the
    lib installation directory is in @INC. If it's not, munge ikiwiki
    to hardcode the path to the lib directory. This should allow installing
    ikiwiki in nonstandard locations, including home directories, by just
    setting PREFIX at build time.
  * Fix nested examples directory in deb.
  * Add a test suite for the mercurial backend, contributed by Emanuele Aina.
  * Add a test suite for the svn backend.
  * Add a test suite for the git backend, from Recai
  * Daemonize before sending RPC pings, since that can take a while
    and/or hang.
  * Daemonize before sending commit mails, as that can also take a long
    time/hang if the mail server is unhappy.
  * Factor out commit mail sending code into new function.
  * Change rcs_commit, it is now passed the name of the user doing the commit
    and their IP address, and needs to construct its own commit message
    containing them, or do something more appropriate for the given RCS.
  * Add softwaresite example.
  * Mercurial backend improvements, including --get-ctime support. (Emanuele
    Aina)
  * Git backend improvements, including bug fixes and better robustness,
    from Recai.

 -- Joey Hess <joeyh@debian.org>  Sun, 26 Nov 2006 20:46:56 -0500
