## ikiwiki 2.3

=== debian/changelog ===
ikiwiki (2.3) unstable; urgency=low

  * Corrected a typo in an error handler in the image plugin.
  * Allow svnpath config option to contain additional extra slashes anywhere
    w/o confusing ikiwiki.
  * Rcs modules are now imported, so other modules that need similar
    normalisation of configs etc can do so.
  * Patch fixing various additional problems with test suite. Closes: #425891
    once more.
  * French update from Jean-Luc Coulon. Closes: #430771
  * Correct a longstanding bug that could cause the edit form to be empty.
    This turns out to have occured if the cgi wrapper was created by an
    ikiwiki invocation that included --rebuild. Thanks to Carl Worth for
    tracking that down.

 -- Joey Hess <joeyh@debian.org>  Fri, 29 Jun 2007 18:30:38 -0400

ikiwiki (2.2) unstable; urgency=low

  * Change the aggregate plugin's locking strategy. Now it defers loading state
    until the wiki is building and already locked, unless it's aggregating.
    When aggregating, it does not wait for the lock if it cannot get it, and
    instead exits, to prevent aggregating processes from piling up.
  * Updated Spanish translation from Victor Moral.
  * Correct bug in the img plugin that caused dependencies on images to not
    always be tracked correctly.
  * Deal better with rebuilds that involve moving files; track and clean up the
    old files.
  * Change where the img plugin puts scaled images. It's better to make the
    scaled images subpages of the page that embeds them, rather than putting
    them alongside the original image, since if two pages scale the same image
    the same way, this prevents complications in dealing with two pages
    creating the same file. The move will be handled transparently, though you
    might want to rebuild your wiki to make it occur in one step.
  * Fix FTBFS in test suite introduced in last version. Closes: #425891
  * Apply a patch from Carl Worth allowing a class attribute to be passed
    through the img plugin. Also allow the id attribute to be passed through.
  * More consistent encoding of titles in rss and atom feeds. Don't use
    ESCAPE=HTML for titles in the templates for these feeds, and instead
    escape the title going in to the template. Previously, the title was
    sometimes double-escaped in a feed (if set via meta title), and sometimes
    not (if set from the page filename).
  * In the meta plugin, when a title is set, encode the html entities in it
    numerically. This works better in the current landscape of a rss spec that
    doesn't specify encoding, and variously broken feed consumers, according
    to <http://www.rssboard.org/rss-profile#data-types-characterdata>.
  * Correct some issues with display of unhandled preprocessor directives.
  * Apply a patch from Carl Worth adding support for using globs in link()
    in a PageSpec.
  * Explode some of the more insane regexps.
  * Add test suite for preprocessor directive parsing.
  * Fix wrapper generator and untaint code's handling of strings contining
    newlines.
  * Make the url absolution code for feeds significantly more robust.
  * Add typographyattributes configuration setting to typography plugin.

 -- Joey Hess <joeyh@debian.org>  Mon, 18 Jun 2007 21:21:56 +0100

ikiwiki (2.1) unstable; urgency=low

  [ Joey Hess ]
  * Use div layout for the signin and preferences forms, so that they can be
    styled using the stylesheet, rather than by creating signin and prefs
    templates.
  * Make the openid login form nicely styled.
  * Fix a bug that prevented clearing email or subscriptions.
  * Improve handling of edits of locked pages by users who are not yet signed
    in.
  * Make testpagespec more robust, including checking for missing/bad
    parameters.
  * Add all=no option to conditional, can be used to form conditionals that do
    not need to examine every page in the wiki.
  * Add the needsbuild hook. Plugins can use this to manipulate which files
    ikiwiki builds when refreshing the wiki.

  [ Josh Triplett ]
  * Add an account-creation password as a simple anti-spam mechanism. If
    set in the wiki setup, passwordauth will require the password in
    order to create an account.

  [ Joey Hess ]
  * Updated Czech translation from Miroslav Kure.
  * Apply patch from Pawel to avoid using -L in Makefile as it's not available
    in older finds.
  * Make all templates have a footer div to ease themeing. Required template
    and style sheet updates, and unless you're using customised versions,
    you'll want to rebuild wikis on upgrade to this version to avoid
    inconsistencies.
  * Allow WIKINAME to to used in footers, as an example of something to put
    there.
  * Patch from hb to fix the pagestats plugin, which was broken by a past
    change to the backlinks() function.
  * Fix some bugs in password handling:
    - If the password is empty in preferences, don't clear the existing
      password.
    - Actually check the confirm password field, even if it's left empty.
  * Add a destpage parameter to the filter hook.
  * Fix links to smilies generated by the smiley plugin for inlined pages. The
    old links were often wrong, but often still worked by accident.
  * Add a test ensuring that the basewiki is self-contained and has no broken
    links.

 -- Joey Hess <joeyh@debian.org>  Sat, 19 May 2007 20:37:38 -0400

ikiwiki (2.00) unstable; urgency=low

  [ Josh Triplett ]
  * Avoid using GNU extensions to cp during "make install", which did
    not work on FreeBSD.  Thanks to Henrik Brix Andersen for the patch.

  [ Joey Hess ]
  * Use fieldsets in the preferences form to group related options together.
    Especially cleans up the ordering of the admin's preferences form.
  * Use a fieldset to set off the openid entry from the rest of the login
    form.
  * Enable openid logins by default.
  * Enable usedirs by default.

  [ Josh Triplett ]
  * fieldset support appeared in CGI::FormBuilder 3.05, so increase

