=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
-	perl Makefile.PL PREFIX=/usr
+	perl Makefile.PL PREFIX=/usr INSTALLDIRS=vendor
 	$(MAKE)
 	$(MAKE) test
 	touch build-stamp
@@ -22,8 +22,7 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
-	$(MAKE) pure_install INSTALLDIRS=vendor \
-		DESTDIR=$(shell pwd)/debian/ikiwiki
+	$(MAKE) pure_install DESTDIR=$(shell pwd)/debian/ikiwiki
 	dh_install wikilist etc/ikiwiki
 	dh_installdocs html
 	dh_installexamples doc/examples/*
