=== debian/changelog ===
ikiwiki (2.32.3ubuntu2) hardy; urgency=low

  * Dont build-depend on wdg-html-validator. Fixes FTBFS. The xmlns now set in
    generated <html> elements causes /usr/bin/validate to attempt to download
    a file from w3.org. This doesn't work without Internet access.

 -- William Grant <william@qeuni.net>  Mon, 24 Mar 2008 00:55:52 +1100

ikiwiki (2.32.3ubuntu1) hardy; urgency=low

  * Build-depend on liblocale-gettext-perl. Fixes FTBFS.
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- William Grant <william@qeuni.net>  Sun, 23 Mar 2008 15:53:25 +1100

ikiwiki (2.32.3) unstable; urgency=high

  [ Josh Triplett ]
  * Do not allow the about: URI scheme; some browsers interpret about:
    URIs like a limited version of data: URIs.  In particular, some
    versions of Internet Explorer interpret arbitrary HTML content in
    about: URIs.
  * Also filter the attributes cite, longdesc, and usemap, which can contain
    URIs.

  [ Joey Hess ]
  * meta: Check that the urls provided for authorurl, permalink, and openid
    are safe and can't contain javascript.

  [ Josh Triplett ]
  * Match literal '.' in URI schemas containing '.', rather than matching any
    character.
  * Do not allow the steam: URI scheme.
  * Allow the snews: URI scheme.
  * Allow the smb: URI scheme.

 -- Joey Hess <joeyh@debian.org>  Sun, 10 Feb 2008 18:52:20 -0500

ikiwiki (2.31.2) unstable; urgency=high

  * The security fix in the last release had buggy handling of data:image,
    now fixed.

 -- Joey Hess <joeyh@debian.org>  Sun, 10 Feb 2008 15:31:17 -0500

ikiwiki (2.31.1) unstable; urgency=low

  * htmlscrubber security fix: Block javascript in uris.
  * Add htmlscrubber test suite.
  * Thanks to Josh Triplett for pointing out the holes and for his help
    in implementing and checking fixes.

 -- Joey Hess <joeyh@debian.org>  Sun, 10 Feb 2008 13:22:59 -0500

ikiwiki (2.31) unstable; urgency=low

  [ Joey Hess ]
  * Revert preservation of input file modification times in output files,
    since this leads to too many problems with web caching, especially with
    inlined pages. Properly solving this would involve tracking every page
    that contributes to a page's content and using the youngest of them all,
    as well as special cases for things like the version plugin, and it's just
    too complex to do.
  * aggregate: Forking a child broke the one state that mattered: Forcing
    the aggregating page to be rebuilt. Fix this.
  * cgi hooks are now run before ikiwiki state is loaded.
  * This allows locking the wiki before loading state, which avoids some
    tricky locking code when saving a web edit.
  * poll: This plugin turns out to have edited pages w/o doing any locking.
    Oops. Convert it from a cgi to a sessioncgi hook, which will work
    much better.
  * recentchanges: Improve handling of links on the very static changes pages
    by thunking to the CGI, which can redirect to the page, or allow it to be
    created if it doesn't exist.
  * recentchanges: Exipre all *._change pages, even if the directory
    they're in has changed.
  * aggregate: Lots of changes; aggregation can now run without locking the
    wiki, and there is a separate aggregatelock to prevent multiple concurrent
    aggregation runs.
  * monotone changes by Brian May:
    - On commits, replace "mtn sync" bidirectional with "mtn push" single
      direction. No need to pull changes when doing a commit. mtn sync
      is still called in rcs_update.
    - Support for viewing differences via patches using viewmtn.
  * inline: When previewing, still call will_render on rss/atom files,
    just avoid actually writing the files. This is necessary because ikiwiki
    saves state after a preview (in case it actually *did* write files),
    and if will_render isn't called its security checks will get upset
    when the page is saved. Thanks to Edward Betts for his help tracking this
    tricky bug down.
  * inline: Add new `allowrss` and `allowatom` config options. These can be
    used if you want a wiki that doesn't default to generating rss or atom
    feeds, but that does allow them to be turned on for specific blogs.
  * Don't die if running with --getctime and rcs_getctime throws an error.
    There are several cases (recentchanges files, aggregated files)
    where some source files are not in revision control.
  * Page templates can now use CTIME to show when the page was created.

  [ Josh Triplett ]
  * README.Debian: Mention user wikilists.

 -- Joey Hess <joeyh@debian.org>  Sat, 09 Feb 2008 23:09:45 -0500

ikiwiki (2.30) unstable; urgency=low

  [ Joey Hess ]
  * Old versions of git-init don't support --git-dir or GIT_DIR with
    --bare. Change ikiwiki-makerepo to use a method that should work with
    those older versions too.
  * aggregate: Don't let feeds set creation times for pages in the future.
  * Add full parser for git diff-tree output (Brian Downing)
  * aggregate: Fork a child process to handle the aggregation. This simplifies
    the code, since that process can change internal state as needed, and
    it will automatically be cleaned up for the parent process, which proceeds
    to render the changes.

  [ Josh Triplett ]
  * Add trailing comma to commented-out umask in sample ikiwiki.setup, so
    that uncommenting it does not break the setup file.

  [ Joey Hess ]
  * inline: The template can check for FIRST and LAST, which will be
    set for the first and last inlined page. Useful for templates that build
    tables and the like.
  * prettydate,ddate: Don't ignore time formats passed to displaytime
    function.
  * Pages with extensions starting with "_" are internal-use, and will
    not be rendered or web-edited, or matched by normal pagespecs.
  * Add "internal()" pagespec that matches internal-use pages.
  * RecentChanges is now a static html page, that's updated whenever a commit
    is made to the wiki. It's built as a blog using inline, so it can have

