=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,8 @@
 build-stamp:
 	dh_testdir
 	perl Makefile.PL PREFIX=/usr INSTALLDIRS=vendor
-	$(MAKE)
+	# taint checking disabled due to perl bug #411786
+	$(MAKE) NOTAINT=1
 	$(MAKE) test
 	touch build-stamp
 
@@ -13,7 +14,7 @@
 	dh_testroot
 	rm -f build-stamp
 	perl Makefile.PL
-	-$(MAKE) realclean
+	if [ -e Makefile ]; then $(MAKE) realclean; fi
 	dh_clean
 
 binary-arch: build
@@ -26,7 +27,7 @@
 	dh_install wikilist etc/ikiwiki
 	dh_installdocs html
 	dh_installexamples doc/examples/*
-	dh_link usr/share/common-licenses/GPL usr/share/doc/ikiwiki/html/GPL
+	dh_link usr/share/common-licenses/GPL-2 usr/share/doc/ikiwiki/html/GPL
 	dh_installchangelogs
 	dh_compress -X html
 	dh_fixperms
