## ikiwiki 2.32.3ubuntu2.1

=== debian/changelog ===
ikiwiki (2.32.3ubuntu2.1) hardy-proposed; urgency=low

  * Moved libhtml-scrubber-perl from Recommends to Depends (LP: #205811)

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 03 Sep 2008 13:04:28 +0200
